Page MenuHomePhabricator

Deploy GrowthExperiments on Serbian Wikipedia
Closed, ResolvedPublicRequest

Description

First

People to contact: @Acamicamacaraca, @Zoranzoki21

Then

Translations

Help panel

Homepage

Mentors

  • Create if necessary or update the mentors list
    • the format is [[Корисник:Name]]|Description (be careful about the position of the | in the example!)
    • add the following sentence at the top:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[mw:Special:MyLanguage/Growth/Communities/How to introduce yourself as a mentor|See examples and best practices.]]

Understanding First Day

  • The list of namespaces that would NOT be monitored (0, 1, 6, 7 are mandatory). = 0, 1, 6, 7

SuggestedEdits

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 569385 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add aliases for Serbian

https://gerrit.wikimedia.org/r/569385

@Trizek-WMF Hello, when this will be enabled on Serbian Wikipedia?

@Zoranzoki21 not to sound rude, but have you translated the privacy policy yet? It is listed as "mandatory".

@Zoranzoki21, we are indeed missing the Privacy policy translation. When done, we will plan the deployment, probably at the end of this month.

Trizek-WMF updated the task description. (Show Details)Feb 10 2020, 4:25 PM

Privacy Policy translated. The process is finished.

Privacy policy is finally 100% translated. @Trizek-WMF I think that we can start process of deployment GrowthExperiments on Serbian Wikipedia.

Thank you! I'm proceeding your task to the next step.

Thank you! I'm proceeding your task to the next step.

Thanks!

@Trizek-WMF Will we get GrowthExperiments on Serbian WIkipedia this month?

We do plan to deploy to Serbian Wikipedia this month. I am putting this in Ready for Development at the right priority level.

@kostajh @Tgr @Catrope -- since we are going to be deploying to many more wikis in the near future, I am thinking that we should streamline the process by not having separate Phab tasks for deploying each feature. I think we should try to just use this one for all the Growth features for this wiki (but we will ticket the deployment of newcomer tasks separately, because that's not yet ready in Serbian. Please let me know if you think this should be done differently.

Trizek-WMF updated the task description. (Show Details)Mar 10 2020, 2:10 PM
Trizek-WMF added a comment.EditedMar 10 2020, 2:14 PM

I've just added a new bullet point on the section about Homepage. It is about getting suggested edits on your wiki.

Check if the templates listed on Wikidata for each maintenance task are the right ones. If not, please provide better links.

Zoranzoki21 updated the task description. (Show Details)Mar 10 2020, 4:14 PM

(I fixed links related to Wikidata as they were wrong, I will check now templates listed on Wikidata).

Zoranzoki21 added a comment.EditedMar 10 2020, 7:30 PM

Hello @Trizek-WMF!

I and @Acamicamacaraca checked items on Wikidata now.

Expand article should be https://www.wikidata.org/wiki/Q5529697
Copyedit article should be https://www.wikidata.org/wiki/Q6292692

Others looks good to us.

Trizek-WMF updated the task description. (Show Details)Mar 11 2020, 11:09 AM
Trizek-WMF updated the task description. (Show Details)

Thank you! I've inverted two of them in the request. :/

I've fixed the task description.

Thank you! I've inverted two of them in the request. :/

I've fixed the task description.

Thanks!

@Trizek-WMF -- could you put the details for the newcomer tasks feature in the task description so that it's easy for engineers to find them?

Trizek-WMF updated the task description. (Show Details)Mar 17 2020, 7:03 PM

Good idea. Done.

Tgr claimed this task.Mar 28 2020, 12:48 AM

Change 584133 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Deploy GrowthExperiments on Serbian Wikipedia

https://gerrit.wikimedia.org/r/584133

The task template is missing the links for article creation tutorial (used in the suggested edits difficulty filter for the article creation task type, and also in the intro dialog when enabling suggested edits if the user chose article creation in the welcome survey) and the tutorial link for adding images (used in the intro dialog if the user chose adding images in the welcome survey). I have used Википедија:Како започети нову страницу and Википедија:Упутства/Слике based on some interwikis, but please feel free to suggest a better alternative.

I'm assuming the welcome survey should not be enabled yet since the foundationwiki link isn't mentioned anywhere.
I'm assuming we are going with 80% enabled / 20% disabled for the homepage A/B test and 50/50 for suggested edits initiated / un-initiated, like we did for all other wikis except euwiki.
I'm assuming wgGEHelpPanelReadingModeNamespaces ("Which namespace(s) the Help panel search should handle") should include the user namespace, as it does by default and on every other wiki, and AIUI we only want to add to the default namespace list, not remove from it.

Task configuration page.
Should Википедија:Проверљивост and Википедија:Водич за писање бољих чланака be added as the "learn more" links for references and expand task types, respectively? They are the interwikis of the links used on arwiki.

Zoranzoki21 added a comment.EditedMar 28 2020, 7:01 PM

Hello @Tgr, I believe that this will be deployed on Serbian Wikipedia soon.
For article creaton, I think that instead of Википедија:Како започети нову страницу, Википедија:Креирање чланака should be used, as this should be "tutorial". Википедија:Креирање чланака is something like "help page".
For Википедија:Упутства/Слике I'm ok.

Should Википедија:Проверљивост and Википедија:Водич за писање бољих чланака be added as the "learn more" links for references and expand task types, respectively? They are the interwikis of the links used on arwiki.

Yes.

I'm assuming the welcome survey should not be enabled yet since the foundationwiki link isn't mentioned anywhere.

Where?

Tgr added a comment.Mar 28 2020, 10:51 PM

I'm assuming wgGEHelpPanelReadingModeNamespaces ("Which namespace(s) the Help panel search should handle") should include the user namespace, as it does by default and on every other wiki, and AIUI we only want to add to the default namespace list, not remove from it.

Confused two different settings there. "Which namespace(s) the Help panel search should handle" is the same in the default config so all good there. wgGEHelpPanelReadingModeNamespaces is "On which namespaces it have to be deployed", it defaults to 2, 4, 12 (plus 0 which is hardwired), the setting requested here is 0, 2, 4. So I should have said, I'm assuming it includes the Help namespace.

I'm assuming wgGEHelpPanelReadingModeNamespaces ("Which namespace(s) the Help panel search should handle") should include the user namespace, as it does by default and on every other wiki, and AIUI we only want to add to the default namespace list, not remove from it.

Confused two different settings there. "Which namespace(s) the Help panel search should handle" is the same in the default config so all good there. wgGEHelpPanelReadingModeNamespaces is "On which namespaces it have to be deployed", it defaults to 2, 4, 12 (plus 0 which is hardwired), the setting requested here is 0, 2, 4. So I should have said, I'm assuming it includes the Help namespace.

@Tgr Yes, I understand you, it should include Help namespace.

I'm assuming the welcome survey should not be enabled yet since the foundationwiki link isn't mentioned anywhere.

If you were thinking of translating this, I've done it here.

As it should be there, I added help namespace in task description.

Tgr added a comment.Mar 30 2020, 8:02 AM

If you were thinking of translating this, I've done it here.

Yes but we can only link it from the non-freely-editable Foundation wiki, and it seems like that hasn't been set up yet.

Tgr added a comment.Mar 30 2020, 8:04 AM

For article creaton, I think that instead of Википедија:Како започети нову страницу, Википедија:Креирање чланака should be used, as this should be "tutorial". Википедија:Креирање чланака is something like "help page".
For Википедија:Упутства/Слике I'm ok.

Should Википедија:Проверљивост and Википедија:Водич за писање бољих чланака be added as the "learn more" links for references and expand task types, respectively? They are the interwikis of the links used on arwiki.

Yes.

Updated those.

@Tgr --

  • I will ask Legal to put the survey privacy statement up on foundation wiki and I will post here when that's ready.
  • Everything you said about the experiments and variant tests is correct -- this wiki should be in the same experiments that our target wikis are. (FYI @Zoranzoki21, this means that only 80% of newcomers will receive these features, and that sometimes different newcomers will receive different versions. While this may sometimes be confusing in the edit-a-thon or teaching context, users can always turn the features on in their preferences.
  • @Trizek-WMF can verify the rest of the information.

@Tgr -- I've asked Legal about the survey privacy statement, but you can proceed with deploying without the welcome survey (if @Trizek-WMF says it's okay), and then we can add the welcome survey when it's ready.

@Tgr -- I've asked Legal about the survey privacy statement, but you can proceed with deploying without the welcome survey (if @Trizek-WMF says it's okay), and then we can add the welcome survey when it's ready.

We were waiting for the green light from Legal. If they are okay, I'm okay.

@Tgr, please set a date so that @Zoranzoki21 can inform his community! :)

@Tgr -- I've asked Legal about the survey privacy statement, but you can proceed with deploying without the welcome survey (if @Trizek-WMF says it's okay), and then we can add the welcome survey when it's ready.

We were waiting for the green light from Legal. If they are okay, I'm okay.

@Tgr, please set a date so that @Zoranzoki21 can inform his community! :)

Let's wait firstly for the green light from Legal, and if possible get Welcome survey deployed in same time.

I thought the green light was already given, my bad! ^^'

I thought the green light was already given, my bad! ^^'

@Trizek-WMF It is given or not?

@Zoranzoki21 @Trizek-WMF -- no, I'm sorry, we do not yet have the green light for the welcome survey, but we do have the green light for everything else. If you prefer to wait for welcome survey, that's fine. It may take an additional week, and I'll keep you posted.

@Zoranzoki21 @Trizek-WMF -- no, I'm sorry, we do not yet have the green light for the welcome survey, but we do have the green light for everything else. If you prefer to wait for welcome survey, that's fine. It may take an additional week, and I'll keep you posted.

Hmm, better is to deploy what it is possible now. Is it ok?

That's totally fine. We did the same thing with Ukrainian, Hungarian, and Armenian, whose welcome surveys are being turned on late.

That's totally fine. We did the same thing with Ukrainian, Hungarian, and Armenian, whose welcome surveys are being turned on late.

Sure, can we get this deployed next week?

Tgr added a comment.Apr 3 2020, 5:21 PM

Let's set next Wednesday as the target date then.

Zoranzoki21 added a comment.EditedApr 3 2020, 5:37 PM

Let's set next Wednesday as the target date then.

Thanks @Tgr! I'm OK with it. Can I notify community?

Tgr added a comment.Apr 3 2020, 6:29 PM

Yes, please do.

Yes, please do.

Done! Thanks again for all.

Change 584133 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy GrowthExperiments on Serbian Wikipedia

https://gerrit.wikimedia.org/r/584133

Mentioned in SAL (#wikimedia-operations) [2020-04-08T11:28:24Z] <tgr@deploy1001> Synchronized dblists/: SWAT: [[gerrit:584133|Deploy GrowthExperiments on Serbian Wikipedia (T241181)]] (duration: 01m 17s)

Mentioned in SAL (#wikimedia-operations) [2020-04-08T11:29:53Z] <tgr@deploy1001> Synchronized wmf-config/: SWAT: [[gerrit:584133|Deploy GrowthExperiments on Serbian Wikipedia (T241181)]] (duration: 01m 06s)

MMiller_WMF added a comment.EditedApr 8 2020, 9:52 PM

@Trizek-WMF -- I tried everything out today, and it all looks good. The only thing I noticed is that srwiki does not have the visual editor. This may become a problem for us when we deploy guidance for newcomer tasks. We should discuss.

@Etonkovidova and @Trizek-WMF -- please post any other issues we find, and we'll decide what to work on.

@Trizek-WMF -- I tried everything out today, and it all looks good. The only thing I noticed is that srwiki does not have the visual editor. This may become a problem for us when we deploy guidance for newcomer tasks. We should discuss.

@Etonkovidova and @Trizek-WMF -- please post any other issues we find, and we'll decide what to work on.

Hmm, we have Visual Editor...

I filed T249885: Newcomer tasks: srwikipedia - SE counter displays <strong>

@Trizek-WMF -- I tried everything out today, and it all looks good. The only thing I noticed is that srwiki does not have the visual editor. This may become a problem for us when we deploy guidance for newcomer tasks. We should discuss.

@Etonkovidova and @Trizek-WMF -- please post any other issues we find, and we'll decide what to work on.

Hmm, we have Visual Editor...

Visual Editor is not enabled for new editors by default; it's still listed as a beta feature and needs to be enabled by a user.

The first option of Easy task filter (Лектура (исправке правописних и граматичких грешака и тона)
doesn't fetch any articles:

@Trizek-WMF - in https://phabricator.wikimedia.org/T247308#5987375 there are some calculation on how many articles are for different task type filters. Was such calculation ever done for Serbian wiki?

I filed T249885: Newcomer tasks: srwikipedia - SE counter displays <strong>

@Trizek-WMF -- I tried everything out today, and it all looks good. The only thing I noticed is that srwiki does not have the visual editor. This may become a problem for us when we deploy guidance for newcomer tasks. We should discuss.

@Etonkovidova and @Trizek-WMF -- please post any other issues we find, and we'll decide what to work on.

Hmm, we have Visual Editor...

Visual Editor is not enabled for new editors by default; it's still listed as a beta feature and needs to be enabled by a user.

We should make it out of beta, but not enabled as default editor.

The first option of Easy task filter (Лектура (исправке правописних и граматичких грешака и тона)
doesn't fetch any articles:

@Trizek-WMF - in https://phabricator.wikimedia.org/T247308#5987375 there are some calculation on how many articles are for different task type filters. Was such calculation ever done for Serbian wiki?

I think that problem is with 0 wiki links to Template:Лектура (https://sr.wikipedia.org/wiki/Посебно:ШтаВодиОвде/Шаблон:Лектура).

Tgr added a comment.Apr 10 2020, 10:31 AM

We should make it out of beta, but not enabled as default editor.

Could you obtain community consensus and file a config change task?

We should make it out of beta, but not enabled as default editor.

Could you obtain community consensus and file a config change task?

Will try.

I think that problem is with 0 wiki links to Template:Лектура (https://sr.wikipedia.org/wiki/Посебно:ШтаВодиОвде/Шаблон:Лектура).

I'm sure you're right. We should also inform the community to start inserting a template on the articles.

We should make it out of beta, but not enabled as default editor.

Could you obtain community consensus and file a config change task?

Requested community consensus on https://sr.wikipedia.org/wiki/Википедија:Трг/Техника#Омогућавање_Визуелног_уређивача_ван_бета_верзије, I will notify you if I get community consensus. Thanks @Tgr!

Acamicamacaraca added a comment.EditedApr 11 2020, 8:16 AM

The first option of Easy task filter (Лектура (исправке правописних и граматичких грешака и тона)
doesn't fetch any articles:

I think I solved the problem. I guess there are now 89 suggested articles. Will try to increase the number even more.

It is possible to add more articles to a given task by adding more templates matching the task definition on MediaWiki:NewcomerTasks.json.

Also, concerning VE, you are blocked at the moment by technical issues. I've informed the VE team about the ongoing vote.

Question: Where mentors can see which users they mentor?

Tgr added a comment.Apr 29 2020, 1:51 PM

Question: Where mentors can see which users they mentor?

They can't. The relevant task is T230565: Mentor tools: create mentor's dashboard.

Question: Where mentors can see which users they mentor?

They can't. The relevant task is T230565: Mentor tools: create mentor's dashboard.

Thanks!

@MMiller_WMF Maybe we can close this task as resolved now, it's deployed and gives great results. We now have more users asking questions and so, in my opinion, the activity has increased.

Acamicamacaraca added a comment.EditedMay 27 2020, 12:32 AM

It is possible to add more articles to a given task by adding more templates matching the task definition on MediaWiki:NewcomerTasks.json.

Done

Done additional translating. I think it's time to close this task.

Done additional translating. I think it's time to close this task.

@Tgr: Do you agree (as assignee)? :)

@Trizek-WMF -- pinging you to decide what to do with the task.

Trizek-WMF closed this task as Resolved.Jun 17 2020, 1:24 PM

I note some untranslated messages, but they are technical ones. Nothing critical that would prevent to resolve this task.

Thank you very much for your cooperation!